# Interface methods for submodule: ComposeScaleSkewVersor3DTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import VersorRigid3DTransformProxy as _VersorRigid3DTransformProxy


# Interface methods for class: ComposeScaleSkewVersor3DTransform
class ComposeScaleSkewVersor3DTransformProxy(_VersorRigid3DTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetMatrix(self, matrix) -> None:
		""""""
		...

	@overload
	def SetMatrix(self, matrix, tolerance: float) -> None:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetScale(self, scale: Sequence[float]) -> None:
		""""""
		...

	def GetScale(self) -> Sequence[float]:
		""""""
		...

	def SetSkew(self, skew: Sequence[float]) -> None:
		""""""
		...

	def GetSkew(self) -> Sequence[float]:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

